Package org.apache.tools.ant.types.optional.image

# Class Rectangle

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.image.ImageOperation
org.apache.tools.ant.types.optional.image.BasicShape
org.apache.tools.ant.types.optional.image.Rectangle

All Implemented Interfaces:
  `Cloneable`, `DrawOperation`

public class Rectangle extends BasicShape implements DrawOperation

See Also:
  - `Image`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `archeight`
  `protected int`
  `arcwidth`
  `protected int`
  `height`
  `protected int`
  `width`

  ### Fields inherited from class org.apache.tools.ant.types.optional.image.BasicShape

  `fill, stroke, stroke_width`

  ### Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

  `instructions`

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rectangle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javax.media.jai.PlanarImage`
  `executeDrawOperation()`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
  `void`
  `setArcheight(int h)`
  Set the arc height.
  `void`
  `setArcwidth(int w)`
  Set the arc width.
  `void`
  `setHeight(int h)`
  Set the height.
  `void`
  `setWidth(int w)`
  Set the width.

  ### Methods inherited from class org.apache.tools.ant.types.optional.image.BasicShape

  `setFill, setStroke, setStrokewidth`

  ### Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation

  `addDraw, addRectangle, addRotate, addScale, addText`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### width

    protected int width

  - ### height

    protected int height

  - ### arcwidth

    protected int arcwidth

  - ### archeight

    protected int archeight

- ## Constructor Details

  - ### Rectangle

    public Rectangle()

- ## Method Details

  - ### setWidth

    public void setWidth(int w)
    Set the width.
    Parameters:
      `w` - the value to use.

  - ### setHeight

    public void setHeight(int h)
    Set the height.
    Parameters:
      `h` - the value to use.

  - ### setArcwidth

    public void setArcwidth(int w)
    Set the arc width.
    Parameters:
      `w` - the value to use.

  - ### setArcheight

    public void setArcheight(int h)
    Set the arc height.
    Parameters:
      `h` - the value to use.

  - ### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()
    Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background..
    Specified by:
      `executeDrawOperation` in interface `DrawOperation`
    Returns:
      a planar image